package com.blazinggames.cqfs.converse
{
	// Adobe Imports
	import flash.events.IEventDispatcher;
	
	/**
	 * The interface for the a fully implemented converse speach.
	 *
	 * @author Billy D. Spelchan
	 * @version 1.0
	 * Copyright (c) 2007 Blazing Games Inc. All Rights Reserved.
	*/
	public interface ISpeach
	extends IEventDispatcher
	{
// ****************************************
// ***** Functions - IDialog required *****
// ****************************************

		function clearDisplay():void;
		function setDialog(s:String, quickly:Boolean=false, dtype:int=0):void;
		function addResponse(s:String, id:int, dtype:int=0):void;
		function startDisplay():void;
		function getLastResponse():int;

	} // end interface
} // end package

