package com.blazinggames.ootw.ep34
{
	// Adobe Imports
	import flash.display.MovieClip;
	import flash.display.SimpleButton;
	import flash.events.Event;
	import flash.events.MouseEvent;

	/**
	 *
	 * @author Billy D. Spelchan
	 * @version 1.0
	 * Copyright (c) 2008 Blazing Games Inc. All Rights Reserved.
	*/
	public class OotW34
	extends MovieClip
	{
// ***** CONSTANTS **********************************************************

		// Label constants
		public static const OOTW34LABEL_START = "start";
// ***** VARIABLES **********************************************************


// ***** CONSTRUCTOR ********************************************************

		public function OotW34()
		{
		}

// ***** Functions - General control ****************************************

		public function toInside()
		{
			gotoAndPlay("inside");
		}
		
		public function toPark()
		{
			gotoAndPlay("park");
		}
		
		public function toSpace()
		{
			gotoAndPlay("win");
		}
		
		public function endGame()
		{
			gotoAndPlay(1, "Title");
		}
		
		private function unregisterInsideListeners()
		{
			Charles_btn.removeEventListener(flash.events.MouseEvent.CLICK, talkToCharles);
			Ykcul_btn.removeEventListener(flash.events.MouseEvent.CLICK, talkToYkcul);
			Squirrel_btn.removeEventListener(flash.events.MouseEvent.CLICK, talkToSquirrel);
		}
		
		public function talkToCharles(evt:Event)
		{
			unregisterInsideListeners();
			gotoAndPlay("charles");
		}
		
		public function talkToYkcul(evt:Event)
		{
			unregisterInsideListeners();
			gotoAndPlay("ykcul");
		}
		
		public function talkToSquirrel(evt:Event)
		{
			unregisterInsideListeners();
			gotoAndPlay("squirrel");
		}
		
	} // end class
} // end package
